Bug 39809 - libc5 missing in RH 7.1
libc5 missing in RH 7.1
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: libc (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-09 02:25 EDT by Dr. Tilmann Bubeck
Modified: 2008-05-01 11:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-09 02:25:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dr. Tilmann Bubeck 2001-05-09 02:25:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.0; Windows NT; DigExt)

Description of problem:
Is libc5 missing on RHAT 7.1? 
I tried to run Applixware 4.4.1 (linked against libc.so.1) but it did not 
start (No such file or directory, because of missing ld.so.1)

A temporary solution was to install the RPM "libc-5.." of RHAT 6.2.

Where is libc5 (libc.so.1) for RHAT 7.1?


How reproducible:
Always

Steps to Reproduce:
1. install RH 7.1
2. run applix 4.4.1
3.
	

Actual Results:  shell% ./applix
No such file or directory


Expected Results:  start of application

Additional info:

"No such file or ...": I was in the right directory, but "ld.so.1" was not 
found and so the application could not be startet.
Comment 1 Jakub Jelinek 2001-05-09 06:28:03 EDT
libc 5 is not included in 7.0 and above on purpose.
We no longer support the libc 5 based distributions (4.x and earlier) and
including a libc 5 in the distribution means we need to support it (take
care of security fixes etc).
If you really need to run libc 5 applications, the method you used is the
recommended one, the packages from 6.2 should install into 7.x systems without
problems.
Comment 2 Per Starbäck 2001-06-06 12:22:16 EDT
I can't get this method to work with the even older Applix that I have though.
This one identifies itself as Applixware version 4.37 (807.141.90).

I installed ld.so-1.9.5-13.i386.rpm and
libc-5.3.12-31.i386.rpm from Red Hat 6.2 on my Red Hat 7.1 system to avoid
the no such file message, but when I try to run applix after that it segfaults.
This is both with the applix I already had installed in RH6.2 days, and if I
reinstall it from the CD.

This Applix is published by Red Hat Software and on the box it says
that it requires linux 1.2.13 "or better", libc 5.2.18 "or better",
libm 5.0.5 or better and X11R6 so it seems like you have told me that it should
work. :-)


Note You need to log in before you can comment on or make changes to this bug.